Loading...
Searching...
No Matches
claptmpl.cc File Reference
`#include "kernel/mod2.h"`
`#include "factory/factory.h"`
`#include "factory/templates/ftmpl_list.cc"`
`#include "kernel/fglm/fglm.h"`
`#include "kernel/spectrum/GMPrat.h"`
`#include "kernel/spectrum/kmatrix.h"`
`#include "polys/nc/ncSAMult.h"`
`#include "kernel/GBEngine/tgb_internal.h"`
`#include <list>`
`#include "kernel/linear_algebra/Minor.h"`
`#include "kernel/linear_algebra/Cache.h"`

Go to the source code of this file.

## Macros

#define | SINGULAR 1

## Functions

template int | pos_helper (kStrategy strat, poly p, int len, intset setL, polyset set)
template int | pos_helper (kStrategy strat, poly p, wlen_type len, wlen_set setL, polyset set)
template SparseRow< tgb_uint32 > * | noro_red_to_non_poly_t< tgb_uint32 > (poly p, int &len, NoroCache< tgb_uint32 > *cache, slimgb_alg *c)
template void | simplest_gauss_modp< tgb_uint32 > (tgb_uint32 *a, int nrows, int ncols)
template poly | row_to_poly< tgb_uint32 > (tgb_uint32 *row, poly *terms, int tn, ring r)
template void | noro_step< tgb_uint8 > (poly *p, int &pn, slimgb_alg *c)
template void | noro_step< tgb_uint16 > (poly *p, int &pn, slimgb_alg *c)
template void | noro_step< tgb_uint32 > (poly *p, int &pn, slimgb_alg *c)

## Macro Definition Documentation

## SINGULAR

#define SINGULAR 1

Definition at line 14 of file claptmpl.cc.

## Function Documentation

## noro_red_to_non_poly_t< tgb_uint32 >()

template SparseRow< tgb_uint32 > * noro_red_to_non_poly_t< tgb_uint32 > | ( | poly | p,
|  | int & | len,
|  | NoroCache< tgb_uint32 > * | cache,
|  | slimgb_alg * | c )

## noro_step< tgb_uint16 >()

template void noro_step< tgb_uint16 > | ( | poly * | p,
|  | int & | pn,
|  | slimgb_alg * | c )

## noro_step< tgb_uint32 >()

template void noro_step< tgb_uint32 > | ( | poly * | p,
|  | int & | pn,
|  | slimgb_alg * | c )

## noro_step< tgb_uint8 >()

template void noro_step< tgb_uint8 > | ( | poly * | p,
|  | int & | pn,
|  | slimgb_alg * | c )

## pos_helper() [1/2]

template int pos_helper | ( | kStrategy | strat,
|  | poly | p,
|  | int | len,
|  | intset | setL,
|  | polyset | set )

## pos_helper() [2/2]

template int pos_helper | ( | kStrategy | strat,
|  | poly | p,
|  | wlen_type | len,
|  | wlen_set | setL,
|  | polyset | set )

## row_to_poly< tgb_uint32 >()

template poly row_to_poly< tgb_uint32 > | ( | tgb_uint32 * | row,
|  | poly * | terms,
|  | int | tn,
|  | ring | r )

## simplest_gauss_modp< tgb_uint32 >()

template void simplest_gauss_modp< tgb_uint32 > | ( | tgb_uint32 * | a,
|  | int | nrows,
|  | int | ncols )